Subject: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Aloxaf Yin <[email-masked]>
Date: Wed, 7 Oct 2020 12:09:27 +0800

Oh, I forgot to send the draft! Sorry for the late reply.

Thanks for your work!

I tried 915214ac but it doesn't seem to work.

Here are some relevant definitions from src/epath.h:
#define PATH_LOADSEARCH "/usr/share/emacs/28.0.50/lisp"
#define PATH_REL_LOADSEARCH "28.0.50/lisp"
#define PATH_DUMPLOADSEARCH
"/tmp/makepkg/emacs-native-comp-git/src/emacs-git/lisp"

That's strange. Can I do anything to help analyze it?

Andrea Corallo <[email-masked]> 于2020年10月5日周一 上午2:04写道：

>
> Hi Aloxaf,
>
> I believe the following should fix the issue:
>
> afb765ab3c * Make filename hashing compatible with self contained builds (bug#43532)
>
> No additional parameter is needed.
>
> Could you check and confirm works for you?
>
> Cc-ing Jim to kindly check does not break the same functionality on
> MacOS.
>
> Thanks!
>
>   Andrea
>